<?php

namespace Drupal\private_taxonomy\Access;

use Drupal\Core\Routing\Access\AccessInterface;
use Drupal\Core\Access\AccessResult;
use Symfony\Component\Routing\Route;

/**
 * Determines access to the vocabulary list page.
 */
class PrivateTaxonomyView implements AccessInterface {

  /**
   * {@inheritdoc}
   */
  public function access(Route $route) {
    $permission
      = \Drupal::currentUser()->hasPermission('administer own taxonomy') ||
      \Drupal::currentUser()->hasPermission('view private taxonomies') ||
      \Drupal::currentUser()->hasPermission('administer taxonomy');
    if ($permission) {
      return AccessResult::allowed();
    }
    return AccessResult::forbidden();
  }

}
